# -*- encoding: utf-8 -*-
# stub: ciphr 0.0.6 ruby lib

Gem::Specification.new do |s|
  s.name = "ciphr".freeze
  s.version = "0.0.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Chris Frohoff".freeze]
  s.date = "2018-08-04"
  s.description = "Ciphr is a CLI tool for performing and composing encoding, decoding, encryption, decryption, hashing, and other various operations on streams of data. It takes provided data, file data, or data from stdin, and executes a pipeline of functions on the data stream, writing the resulting data to stdout. It was designed primarily for use in the information security domain, mostly for quick or casual data manipulation for forensics, penetration testing, or capture-the-flag events; it likely could have other unforseen uses, but should be presumed to be an experimental toy as no effort was made to make included cryptographic functions robust against attacks (timing attacks, etc), and it is recommended not to use any included functions in any on-line security mechanisms.".freeze
  s.email = ["chris@frohoff.org".freeze]
  s.executables = ["ciphr".freeze]
  s.files = ["bin/ciphr".freeze]
  s.homepage = "https://github.com/frohoff/ciphr".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "a CLI tool for performing and composing encoding, decoding, encryption, decryption, hashing, and other various operations on streams of data from the command line; mostly intended for infosec uses.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.5.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.4.0"])
    s.add_runtime_dependency(%q<parslet>.freeze, ["~> 1.5.0"])
    s.add_runtime_dependency(%q<slop>.freeze, ["~> 3.6.0"])
    s.add_runtime_dependency(%q<base32>.freeze, ["~> 0.3.2"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.3"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.5.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.4.0"])
    s.add_dependency(%q<parslet>.freeze, ["~> 1.5.0"])
    s.add_dependency(%q<slop>.freeze, ["~> 3.6.0"])
    s.add_dependency(%q<base32>.freeze, ["~> 0.3.2"])
  end
end
